jmarkov

## Class QueueMH2k1Test

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jmarkov.QueueMH2k1Test

- All Implemented Interfaces:
    junit.framework.Test

      public class QueueMH2k1Test
      extends junit.framework.TestCase

  Author:
    German Riano. Universidad de los Andes. (C) 2006

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueMH2k1Test(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testGetAMatrices()` Test method for 'jmarkov.GeomProcess.getAMatrices()'
    `void` | `testGetBMatrices()` Test method for 'jmarkov.GeomProcess.getBMatrices()'
    `void` | `testGetEventsRates()` Test method for 'jmarkov.SimpleMarkovProcess.getEventsRates()'
    `void` | `testGetMOPsAvg()` Test method for 'jmarkov.SimpleMarkovProcess.getMOPsAvg()'
    `void` | `testGetRmatrix()` Test method for 'jmarkov.GeomProcess.getRmatrix()'
    `void` | `testGetVectorPi0()` Test method for 'jmarkov.GeomProcess.getVectorPi0()'
    `void` | `testGetVectorPi1()` Test method for 'jmarkov.GeomProcess.getVectorPi1()'
    `void` | `testGetVectorPi1Mod()` Test method for 'jmarkov.GeomProcess.getVectorPi1Mod()'
    `void` | `testIsStable()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueMH2k1Test

          public QueueMH2k1Test(java.lang.String name)

      Parameters:
        `name` -

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -

    - #### testGetAMatrices

          public void testGetAMatrices()

      Test method for 'jmarkov.GeomProcess.getAMatrices()'

    - #### testIsStable

          public void testIsStable()

    - #### testGetRmatrix

          public void testGetRmatrix()
                              throws NotUnichainException

      Test method for 'jmarkov.GeomProcess.getRmatrix()'
      Throws:
        `NotUnichainException`

    - #### testGetBMatrices

          public void testGetBMatrices()

      Test method for 'jmarkov.GeomProcess.getBMatrices()'

    - #### testGetVectorPi1

          public void testGetVectorPi1()
                                throws NotUnichainException

      Test method for 'jmarkov.GeomProcess.getVectorPi1()'
      Throws:
        `NotUnichainException`

    - #### testGetVectorPi1Mod

          public void testGetVectorPi1Mod()
                                   throws NotUnichainException

      Test method for 'jmarkov.GeomProcess.getVectorPi1Mod()'
      Throws:
        `NotUnichainException`

    - #### testGetVectorPi0

          public void testGetVectorPi0()
                                throws NotUnichainException

      Test method for 'jmarkov.GeomProcess.getVectorPi0()'
      Throws:
        `NotUnichainException`

    - #### testGetMOPsAvg

          public void testGetMOPsAvg()
                              throws java.lang.Exception

      Test method for 'jmarkov.SimpleMarkovProcess.getMOPsAvg()'
      Throws:
        `java.lang.Exception`

    - #### testGetEventsRates

          public void testGetEventsRates()
                                  throws java.lang.Exception

      Test method for 'jmarkov.SimpleMarkovProcess.getEventsRates()'
      Throws:
        `java.lang.Exception`